std::initializer_list< _E > Class Template Reference

## Public Types

typedef const _E * | const_iterator
typedef const _E & | const_reference
typedef const _E * | iterator
typedef const _E & | reference
typedef size_t | size_type
typedef _E | value_type

## Public Member Functions

constexpr const_iterator | begin () const noexcept
constexpr const_iterator | end () const noexcept
constexpr size_type | size () const noexcept

## Related Functions

(Note that these are not member functions.)
template<class _Tp >
constexpr const _Tp * | begin (initializer_list< _Tp > __ils) noexcept
template<class _Tp >
constexpr const _Tp * | end (initializer_list< _Tp > __ils) noexcept

## Detailed Description

### template<class _E>
class std::initializer_list< _E >

initializer_list

Definition at line 47 of file initializer_list.

## Friends And Related Function Documentation

## begin()

template<class _Tp >

constexpr const _Tp * begin | ( | initializer_list< _Tp > | __ils | ) |

related

Return an iterator pointing to the first element of the initializer_list.

Parameters

  __ils | Initializer list.

Definition at line 90 of file initializer_list.

## end()

template<class _Tp >

constexpr const _Tp * end | ( | initializer_list< _Tp > | __ils | ) |

related

Return an iterator pointing to one past the last element of the initializer_list.

Parameters

  __ils | Initializer list.

Definition at line 101 of file initializer_list.

Referenced by std::forward_list< _Tp, _Alloc >::resize().

The documentation for this class was generated from the following file:

- initializer_list